cltn(3)

Cltn

Inherits from: Object

Class Description

This is an abstract superclass for collection classes.

It is useful for implementing functionality, that is inherited by such classes as:
    * OrdCltn (Collection)
    * Set
    * Stack
    * SortCltn (Tree)

In addition, this class is necessary for compatibility with Stepstone's ICpak101.

Method types

Testing Contents
    * includesAllOf:
    * includesAnyOf:

Adding and Removing Contents
    * addAll:
    * addContentsOf:
    * addContentsTo:
    * removeAll:
    * removeContentsFrom:
    * removeContentsOf:

Combining
    * intersection:
    * union:
    * difference:

Converting
    * asSet
    * asOrdCltn

Using Blocks
    * detect:
    * detect:ifNone:
    * select:
    * reject:
    * collect:
    * count:

Making elements perform
    * elementsPerform:
    * elementsPerform:with:
    * elementsPerform:with:with:
    * elementsPerform:with:with:with:

Do Blocks
    * do:
    * do:until:

Methods